org.keycloak.models

## Class FederatedIdentityModel

- java.lang.Object
- - org.keycloak.models.FederatedIdentityModel

-     public class FederatedIdentityModel
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedIdentityModel(FederatedIdentityModel originalIdentity, String userId)`
    `FederatedIdentityModel(String identityProvider, String userId, String userName)`
    `FederatedIdentityModel(String providerId, String userId, String userName, String token)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getIdentityProvider()`
    `String` | `getToken()`
    `String` | `getUserId()`
    `String` | `getUserName()`
    `int` | `hashCode()`
    `void` | `setToken(String token)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedIdentityModel

          public FederatedIdentityModel(String identityProvider,
                                        String userId,
                                        String userName)

    - #### FederatedIdentityModel

          public FederatedIdentityModel(String providerId,
                                        String userId,
                                        String userName,
                                        String token)

    - #### FederatedIdentityModel

          public FederatedIdentityModel(FederatedIdentityModel originalIdentity,
                                        String userId)

  - ### Method Detail

    - #### getUserId

          public String getUserId()

    - #### getIdentityProvider

          public String getIdentityProvider()

    - #### getUserName

          public String getUserName()

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken(String token)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.